From d65670c15990838b8b1b1447ac99ca5f5194fd23 Mon Sep 17 00:00:00 2001
From: Unit 193 <unit193@ubuntu.com>
Date: Fri, 29 Apr 2016 00:18:31 -0400
Subject: d/control, d/rules: Override dh_gencontrol to recommend
 python-appindicator if on Ubuntu.

---
 debian/control | 2 +-
 debian/rules   | 7 +++++++
 2 files changed, 8 insertions(+), 1 deletion(-)

diff --git a/debian/control b/debian/control
index 482624a..029f4b8 100644
--- a/debian/control
+++ b/debian/control
@@ -108,7 +108,7 @@ Depends: ${misc:Depends}, ${python:Depends},
          xdg-utils
 Breaks: deluge (<< 1.2.0-1)
 Replaces: deluge (<< 1.2.0-1)
-Recommends: python-pygame
+Recommends: ${dist:Recommends}, python-pygame
 Description: bittorrent client written in Python/PyGTK (GTK+ ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
  using libtorrent-rasterbar in it's backend and featuring multiple
diff --git a/debian/rules b/debian/rules
index 48ac68d..e2e3dec 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
 
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	SUBSTVARS = -Vdist:Recommends="python-appindicator"
+endif
+
 %:
 	dh $@ --with python2
 
@@ -20,3 +24,6 @@ override_dh_auto_clean:
 	dh_auto_clean
 	find . -type d -name '*.egg-info' | xargs rm -rf
 	rm -f deluge/data/share/applications/deluge.desktop
+
+override_dh_gencontrol:
+	dh_gencontrol -- $(SUBSTVARS)
-- 
cgit v0.12

